From 7f7f254ca3b0dd5d03052492c6aa42cae95a213c Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tomas.vondra@postgresql.org>
Date: Sat, 5 Nov 2022 10:39:18 +0100
Subject: [PATCH 06/15] review commnents

---
 src/backend/optimizer/plan/setrefs.c | 2 +-
 src/backend/parser/analyze.c         | 2 +-
 src/backend/parser/parse_func.c      | 1 +
 src/tools/pgindent/typedefs.list     | 2 +-
 4 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/src/backend/optimizer/plan/setrefs.c b/src/backend/optimizer/plan/setrefs.c
index 566ebf4600e..88855bc8e85 100644
--- a/src/backend/optimizer/plan/setrefs.c
+++ b/src/backend/optimizer/plan/setrefs.c
@@ -3369,7 +3369,7 @@ record_plan_type_dependency(PlannerInfo *root, Oid typid)
 }
 
 /*
- * Record dependency on session variable. The variable can be used
+ * Record dependency on a session variable. The variable can be used as a
  * session variable in expression list, or target of LET statement.
  */
 static void
diff --git a/src/backend/parser/analyze.c b/src/backend/parser/analyze.c
index 13244bd94bb..789ef637764 100644
--- a/src/backend/parser/analyze.c
+++ b/src/backend/parser/analyze.c
@@ -53,8 +53,8 @@
 #include "utils/backend_status.h"
 #include "utils/builtins.h"
 #include "utils/guc.h"
-#include "utils/queryjumble.h"
 #include "utils/lsyscache.h"
+#include "utils/queryjumble.h"
 #include "utils/rel.h"
 #include "utils/syscache.h"
 
diff --git a/src/backend/parser/parse_func.c b/src/backend/parser/parse_func.c
index 21fbf939f20..d10ffd5993f 100644
--- a/src/backend/parser/parse_func.c
+++ b/src/backend/parser/parse_func.c
@@ -2661,6 +2661,7 @@ check_srf_call_placement(ParseState *pstate, Node *last_srf, int location)
 			errkind = true;
 			break;
 		case EXPR_KIND_LET_TARGET:
+			/* review: This should probably talk about "LET" and not "CALL" */
 			err = _("set-returning functions are not allowed in CALL arguments");
 			break;
 
diff --git a/src/tools/pgindent/typedefs.list b/src/tools/pgindent/typedefs.list
index 56b21df4471..8f17f36c3e0 100644
--- a/src/tools/pgindent/typedefs.list
+++ b/src/tools/pgindent/typedefs.list
@@ -2641,7 +2641,7 @@ SupportRequestRows
 SupportRequestSelectivity
 SupportRequestSimplify
 SupportRequestWFuncMonotonic
-svariableState
+SVariableState
 SVariable
 SVariableData
 SVariableXActAction
-- 
2.38.1

